Status (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Enum Status

- java.lang.Object
- - java.lang.Enum<Status>
  - - com.cloudera.api.swagger.model.Status

- All Implemented Interfaces:
    Serializable, Comparable<Status>

      public enum Status
      extends Enum<Status>

  Gets or Sets Status

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Status.Adapter`

  - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ERROR`
    `NOT_READY`
    `READY`
    `RUNNING`
    `SETUP_INITIATED_ON_REMOTE`
    `WAITING_FOR_SOURCE_RESTART`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static Status` | `fromValue(String input)`
    `String` | `getValue()`
    `String` | `toString()`
    `static Status` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static Status[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NOT_READY

          @SerializedName(value="NOT_READY")
          public static final Status NOT_READY

    - #### READY

          @SerializedName(value="READY")
          public static final Status READY

    - #### RUNNING

          @SerializedName(value="RUNNING")
          public static final Status RUNNING

    - #### WAITING_FOR_SOURCE_RESTART

          @SerializedName(value="WAITING_FOR_SOURCE_RESTART")
          public static final Status WAITING_FOR_SOURCE_RESTART

    - #### SETUP_INITIATED_ON_REMOTE

          @SerializedName(value="SETUP_INITIATED_ON_REMOTE")
          public static final Status SETUP_INITIATED_ON_REMOTE

    - #### ERROR

          @SerializedName(value="ERROR")
          public static final Status ERROR

  - ### Method Detail

    - #### values

          public static Status[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (Status c : Status.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static Status valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

    - #### getValue

          public String getValue()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Enum<Status>`

    - #### fromValue

          public static Status fromValue(String input)

Copyright © 2026. All rights reserved.